; PORTS gpio
GP_PD_DR        .equ    %a2
GP_PD_DDR       .equ    %a3
GP_PD_ALT1      .equ    %a4
GP_PD_ALT2      .equ    %a5
; UART i/o
UART_RBR0       .equ    %c0
BRG_DLRL0       .equ    %c0
BRG_DLRH0       .equ    %c1
UART_FCTL0      .equ    %c2
UART_LCTL0      .equ    %c3
UART_LSR0         .equ  %c5
UZI_CTL0        .equ    %cf

        .assume adl=1

        xdef  _xprintf, _con_init

;*----- con_init
; @func void con_init(void)
; init the console to 57.6 kbaud, 8N1
_con_init:
        ld      a, 0
        out0    (GP_PD_ALT1), a
        out0    (UART_FCTL0), a ;enable UART FIFOs
        out0    (UART_LCTL0), a ;lock the BRG
        out0    (BRG_DLRH0), a  ;load high byte of BRG
        ld      a, 001h
        out0    (GP_PD_ALT2), a
        out0    (UZI_CTL0), a           
        ld      a, 080h
        out0    (UART_LCTL0), a ;enable access to BRG
        if      _EZ80190
        ld      a, 43           ;baudrate 57600 @ 40MHz RT board
		else
        ld      a, 52           ;baudrate 57600 @ 48MHz
        endif
        out0    (BRG_DLRL0), a  ;load low byte of BRG
        ld      a, 003h
        out0    (UART_LCTL0), a ;select 8bits, no parity, 1 stop
        ret

;*----- xprintf
; @func void xpintf(char* str)
; de = str
_xprintf
;        di
        ifdef   C_ZDS2
        push   ix
        ld     ix, 0
        add    ix, sp
        ld     hl, (ix+6)
        else
        ex      hl, de
        endif
$print
        ld      a, (hl)         ; read next code
        cp      a, 0
        jr      z, $xprint
        push    af
        inc     hl

$uart_wait
        in0     a, (UART_LSR0)     ; check transmitter
        bit     6, a
        jr      z, $uart_wait

        pop     af
        out0    (UART_RBR0), a  ; send the code

        cp      a, 0Ah
        jr      nz, $print
        ld      a, 0Dh  ; send an LF after a CR
        push    af
        jr      $uart_wait
$xprint
;        ei
        ifdef   C_ZDS2
        pop    ix
        endif
        ret

