/*
 * method2.c
 * 
 * method #2 to work with IPWorks serial
 * - this is a serial implementation
 * 
 * method functions:
 * - init_receiver
 * - make_packet
 * 
 * 14.02.2003 12:21
 */

#include <kernel.h>
#include <stdlib.h>
#include <tty.h>

#include "com.h"
#include "gw_conf.h"

// packet queue. Packets are added at tail, pqt.
// Packets are removed from head, pqh.
extern struct mblock *pqh, *pqt;

/*--
 * receiver init function
 * 
 * returns open TTY channel or SYSERR
 */
int init_receiver( int ncom )
{
int receiver, sz;

    // init my driver
    com_init();

    // open serial device
    if( ncom == 0 )
        receiver =
            open( hCOM1, "COM1:", (char*)0 );
    else
        receiver =
            open( hCOM2, "COM2:", (char*)1 );
        
    return(receiver);
}


/*--
 * receiver read function
 * 
 *  the function must block until some char available
 * 
 * receiver - device handle
 * buffer - input data buffer 
 * max_size - buffer size
 * 
 * returns 0 if no chars available
 * 
 * returns open TTY channel or SYSERR
 */
int read_data( int receiver, char *buffer, int max_size )
{
int size_read ;
    size_read = control( receiver, 1, 0, 0);
    if ( size_read != 0 )
        size_read = read( receiver, buffer, max_size );
    return size_read;
}
