
/*
 @doc _CMD
 @module s2tcp_cmd.C |
 * The command configuration structure
 * for serial to TCP gateway
 * 
 @index func | _CMD
 * 
 * v1.6 - New Generation
 *             
 @normal Copyright (c) 2001 ZiLOG Inc
 @end
 */

#define NCMD 6
const int num_commands = NCMD;

#include "cmdstruc.h"
#include "commands.h"

int set_parameters(char* dg_buffer);
int get_parameters(char* dg_buffer);

/*-- COMMAND PROTOCOL STRUCTURE */
struct CommandProtocol ezconfig[NCMD] =
{
	// original remote access commands
    {"rset", (callback)reset,      "reset the server"},
    {"flsh", (callback)flash,      "start the netbooter if present"},
    {"helo", (callback)app_hello,  "general handshake, helo <name>"},
//    {"gcon", (callback)getcon,     "get the server configuration"},
//    {"scon", (callback)setcon,     "set the new configuration, scon <size>"},
    {"scan", (callback)app_scan,   "scanner request"},
    // special Gateway commands
    {"parm", (callback)set_parameters,"set Gateway parameters"},
    {"gpar", (callback)get_parameters,"get Gateway parameters"},
};

