/*
 * start_cgi.c
 * 
 * A script used to connect to the TCP host.
 */


#include "serverapi.h"

typedef struct s_usermem
{
    char id[7];
    int size;
} usermem;

#define PQSIZE 32

typedef struct s_packetq
{
    unsigned char size;
    unsigned char ps;
    unsigned char pe;
    int packets[PQSIZE];
} packetqueue;

extern const pTypeAPIfunctionTable API_FTABLE$;

const char reply_forward[] = "<body onload=\"document.location='/control.html';\">Starting TCP gateway...</body>";
const char reply_negativ[] = "<body>TCP did not reach server</body>";

int tcp_thread(int tcp_connection)
{
TypeAPIfunctionTable *pft;
char *packet_queue;
int count = 0;
char packbfr[32];
struct mblock *memlist, *p;
usermem *uq;

    pft=&API_FTABLE$;

    pft->srand( 0x123456 );

    // the packet queue must be created by the serial thread
    // which continuously recepts packets, tcp thread must find
    // the queue allocation in the mem_list, we must provide
    // a function returning heap handle
    //packet_queue = (char *)pft->getmem( 64 );
    //pft->strcpy( packet_queue, "SERTCPQ");
    while( 1 )
    {
        count++;
        pft->sprintf(packbfr, "PP%04dCONT%dEND5", count, pft->rand() );
        pft->write( tcp_connection, packbfr, pft->strlen(packbfr) );
        pft->sleep( 3 );
    }

    pft->close(tcp_connection);
}
    
int start_cgi(struct http_request *request)
{
TypeAPIfunctionTable *pft;
int tcp_connection, count;
usermem *q;
packetqueue *p;
char *info, address[24];

    pft=&API_FTABLE$;

    count = sizeof(*q) + sizeof(*p) + PQSIZE*sizeof(int);
    q = pft->getmem( count );
    strcpy( q->id, "SRTCPQ");
    q->size = count;
    pft->kprintf("\nCreated the queue at %x.\n", q);

    strcpy( address, pft->http_find_argument( request, "host") );
    strcat( address, ":" );
    strcat( address, pft->http_find_argument( request, "port") );

    pft->kprintf("\nStarting the TCP gateway.\n");
    pft->kprintf("Connecting %s\n", address);

    // connect to the port defined in the request on the host PC
    tcp_connection = pft->open( TCP, address, 3301);
    if( tcp_connection == SYSERR )
    {
        pft->kprintf("connection failure\n");
        pft->http_output_reply( request, 200);
        request->write( request->fd, reply_negativ, pft->strlen(reply_negativ));
        pft->freemem( q, count);
    }
    else
    {
        pft->kprintf("connection established\n");
        pft->resume( pft->create(tcp_thread, 1024, 10, "tcp_thread", 1, tcp_connection) );
        pft->http_output_reply( request, 200);
        request->write( request->fd, reply_forward, pft->strlen(reply_forward));
    }
}
