/*
 @doc HEADERFUNCTIONREF
 @module	FUNCTIONREF.H |
 *******************************************************************************
 * This header file contains all __REFERENCE__al function refernces which will be used
 * as API function. The address of this function will be place in the funciton
 * table and will be called by pointers.
 *	
 *******************************************************************************
 @index type struct enum | HEADERFUNCTIONREF
 @normal Copyright (c) 2001 ZiLOG, Inc
 @end
 *******************************************************************************
*/
#include <kernel.h>
#include <dgram.h>
#include <http.h>

__REFERENCE__ int getpid (); 
__REFERENCE__ int create ( procptr procaddr, int ssize, int priority, char* name, int nargs, int args);
__REFERENCE__ int resume (int pid);
__REFERENCE__ int suspend (int pid); 
__REFERENCE__ int chprio (int pid, int priority);
__REFERENCE__ int getprio (int pid); 
__REFERENCE__ int kill (int pid); 
__REFERENCE__ int sleep (int n); 
__REFERENCE__ int sleep10 (int n);
__REFERENCE__ int sleep100 (int n); 
__REFERENCE__ int unsleep (int pid); 
__REFERENCE__ int open (int descrp, char *name, char *mode); 
__REFERENCE__ int close (int descrp); 
__REFERENCE__ int read (int descrp, char* buff, int count); 
__REFERENCE__ int write (int descrp, char* buff, int count); 
__REFERENCE__ int control (int descrp, int func, char *arg1, char *arg2) ;
__REFERENCE__ int getc (int descrp); 
__REFERENCE__ int putc (int descrp, char ch);
__REFERENCE__ int open (int descrp, char *remote_port, char* local_port); 
__REFERENCE__ int read (int descrp, char *data_from, int length); 
__REFERENCE__ int write (int descrp, char *data_to, int length); 
    #ifdef ipw147
__REFERENCE__ int send (int pid, msg_t msg); 
__REFERENCE__ msg_t receive (void); 
__REFERENCE__ int pcreate (int count); 
__REFERENCE__ int pdelete (int portid, int (*dispose)(int *)); 
__REFERENCE__ msg_t preceive (int portid); 
__REFERENCE__ int psend (int portid, msg_t message); 
__REFERENCE__ int psendu (int portid, msg_t message); 
    #else
__REFERENCE__ int send (int pid, WORD msg); 
__REFERENCE__ int receive (void); 
__REFERENCE__ int pcreate (int count); 
__REFERENCE__ int pdelete (int portid, int (*dispose)(int *)); 
__REFERENCE__ int preceive (int portid); 
__REFERENCE__ int psend (int portid, WORD message); 
__REFERENCE__ int psendu (int portid, WORD message); 
    #endif
__REFERENCE__ int pcount (int portid); 
__REFERENCE__ int preset (int portid, int (*dispose)(int *)); 
__REFERENCE__ int scount (int semaphore); 
__REFERENCE__ int screate (int count); 
__REFERENCE__ int sdelete (int semaphore); 
__REFERENCE__ int signal (int semaphore); 
__REFERENCE__ int signaln (int semaphore, int count); 
__REFERENCE__ int sreset (int semaphore, int count); 
__REFERENCE__ int wait (int semaphore); 
__REFERENCE__ int abs (int arg);
__REFERENCE__ int ascdate (long time, char* str); 
__REFERENCE__ double atof (char *str); 
__REFERENCE__ int atoi (char *str); 
__REFERENCE__ long atol (char *str); 
__REFERENCE__ void bzero (char *buffer, int length); 
__REFERENCE__ char* ecvt (double arg, int ndigits, int* decpt, int* sign); 
__REFERENCE__ char* fcvt (double arg, int ndigits, int* decpt, int* sign); 
__REFERENCE__ char* fgets (int descriptor, char *buff, int maxlen); 
__REFERENCE__ int fprintf (int descriptor, char *format, ...); 
__REFERENCE__ int fputs (int descriptor, char *str); 
__REFERENCE__ char* gets (char *buff); 
__REFERENCE__ void memset (char *buffer, char *value, int length); 
__REFERENCE__ int printf (char *format, ...); 
__REFERENCE__ int puts (char *str); 
__REFERENCE__ void qsort (char *base, int num, int size, int (*compare)(char *, char*)); 
__REFERENCE__ void srand (unsigned int seed); 
__REFERENCE__ int rand (void); 
__REFERENCE__ char* rindex (char *str, char c); 
__REFERENCE__ int scanf (char *format, ...); 
__REFERENCE__ int fscanf (int descriptor, char *format, ...); 
__REFERENCE__ int sscanf (char *buffer, char *format, ...); 
__REFERENCE__ int sprintf (char *buffer, char *format, ...); 
__REFERENCE__ int strcasecmp (char *str1, char *str2); 
__REFERENCE__ char* strcat (char *str1, char *str2); 
__REFERENCE__ int strcmp (char *str1, char *str2); 
__REFERENCE__ char* strcpy (char *outstr, char *instr); 
__REFERENCE__ int strlen (char *str); 
__REFERENCE__ char* strncat (char *str1, char *str2, int num); 
__REFERENCE__ int strncmp (char *str1, char *str2, int num); 
__REFERENCE__ char* strncpy (char *outstr, char *instr, int num); 
__REFERENCE__ int tolower (char c); 
__REFERENCE__ int toupper (char c); 
    #ifdef ipw147
__REFERENCE__ int http_init(Http_Context *httpcontext,const Http_Method *methods,const struct header_rec *headers, Webpage *webpages,int port);
    #else
__REFERENCE__ int http_init (Http_Method* methods, struct header_rec* headers, struct webpage* webpages, int port); 
    #endif
__REFERENCE__ void http_get (Http_Request* request); 
__REFERENCE__ void http_post (Http_Request* request); 
__REFERENCE__ void http_output_headers (Http_Request* request); 
__REFERENCE__ int http_get_header (Http_Request *request); 
__REFERENCE__ void http_add_header (Http_Request* request, int header, char* value); 
__REFERENCE__ char* http_find_argument (Http_Request* request, char* arg); 
__REFERENCE__ int http_output_reply (Http_Request* request, int reply); 
__REFERENCE__ int http_output_request (Http_Request* request, int method, char* url); 
__REFERENCE__ void http_request (Http_Request* request);
