/*
 @doc HEADERIPWSERVER
 @module IPWSERVER.H |
 *
 *   Header file for the IPWServer.c file.
 *
 @index type struct enum | HEADERIPWSERVER
 @normal Copyright (c) 2001 ZiLOG, Inc
 @end
 *
*/

#ifndef __IPWSERVER_H__
#define __IPWSERVER_H__
#include "Target.h"
#include "ServConfig.h"

/*
 * External references of variables.
 */
extern struct cmdent *allcmds;
extern int nallcmds;

// the personality start address calculated to follow the bootinfo structure
//#define SZ_BI sizeof(TypeBootInfo)
//#define SA_PERSONALITY SZ_BI+1

/*
 * @enum FILE_FLASH_ADR  |
 * Defines the flash start address of the supported system files.
 * 
 * SA_xxx constants are defined in the target.h
 */
typedef	enum
{
    //@emem Flash Start Address of the Boot Information File.
    FA_BOOTINFO = SA_BOOTINFO_FILE,
    //@parm Flash Start Address of device's personality.
    FA_PERSONALITY = 0x4800,
    //@emem Flash Start Address of the Webpage Link List.
    //FA_WPLINKLIST = FA_BIOSINFO + sizeof(TypeBiosInfo)
 	FA_WPLINKLIST = SA_WPLINKLIST_FILE
}FILE_FLASH_ADR;

/*
 * @enum SERVER_CMD  |
 * Defines server commands which can be used from client software.
 */
typedef	enum
{
	CONNECT_req,			//@emem This is a Application file linked at 0x20000.
 	OPEN_DATA_SOCKET_req	//@emem This is a Boot Loader file for the flash boot sector.
}SERVER_CMD;



#endif	//__IPWSERVER_H__
