/*
 @doc HEADERIPWSERVER
 @module IPWSERVER.H |
 *******************************************************************************
 *
 *	Header file for the IPWServer.c file. 									<nl>
 *
 * L92 compiler has problems with +sizeof() expression
 * and also the flash storage must be changed a bit
 *	
 *******************************************************************************
 @index type struct enum | HEADERIPWSERVER
 @normal Copyright (c) 2001 ZiLOG, Inc
 @end
 *******************************************************************************
*/

#ifndef __IPWSERVER_H__
#define __IPWSERVER_H__
#include "stddefs.h"
#include "Target.h"
#include "ServConfig.h"

/*
 *******************************************************************************
 * External references of variables.
 *******************************************************************************
 */
extern struct cmdent *allcmds;
extern int nallcmds;

/*************************************************************************
 * @enum FILE_FLASH_ADR	|
 * Defines the flash start address of the supported system files.
 ************************************************************************/
typedef	enum
{
	FA_BOOTINFO    = 0x4500, //@emem Flash Start Address of the Boot Information File.
	FA_PERSONALITY = 0x4800, //@parm Flash Start Address of device's personality.
 	FA_WPLINKLIST  = 0x6000
}FILE_FLASH_ADR;

/*************************************************************************
 * @enum SERVER_CMD	|
 * Defines server commands which can be used from client software.
 ************************************************************************/
typedef	enum
{
	CONNECT_req,			//@emem This is a Application file linked at 0x20000.
 	OPEN_DATA_SOCKET_req	//@emem This is a Boot Loader file for the flash boot sector.
}SERVER_CMD;



#endif	//__IPWSERVER_H__
