
#ifndef _USOCKET_H
#define _USOCKET_H

// port numbers
#define CTL_PORT 3000
#define DAT_PORT 3001
#define DBG_PORT 3002

// download thread priority
#define CTLPRIO 85
#define DATPRIO 85

/* page write states*/
#define PW_PAGE 0x11
#define PW_FWUD 0x12
#define PW_xFUL 0x20
#define PW_PFUL 0x21
#define PW_FFUL 0x22
#define PW_FINE 0x40
#define PW_ERRR 57
#define PW_ETFR 58
#define PW_ECTL 59

#define ADDR_UPDATE 0x40000
#define RESP_UPDATE "108 262144 8192\r\n"

// page size
#define PAGE_SPACE 0x20000

// ASCII codes
#define CR 13
#define LF 10

// help functions
void byte2hex(char, char* ch);

// IPCLient socket API
int find_last_id( void );
char *writeMACaddress(char *buffer);

// command parser
void udp_parse_cmd( int, char* );

// action threads
void debug_thread       (int);
void control_thread     (int);
void data_thread        (int);
void page_read_thread   (int);
void download_thread    (int, int);
void config_read_thread (int, int);

// download superviser thread
void killer_thread      (void);

#ifdef DEBUG
    void debug_log( char * );
#endif

// @const | sAppName | the application name
extern const char sAppName[];

#endif
