/*
 * Copyright 2001, Metro Link, Inc.
 * All Rights Reserved
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Metro Link, Inc. and may
 * contain proprietary, confidential and trade secret information of
 * Metro Link, Inc. and/or its partners.
 *  
 * The contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Metro Link, Inc.
 *
 */
#include <conf.h>
#include <kernel.h>
#include <network.h>

/** @name dgram_conf.c
 * @memo Configure UDP protocol resources.
 * @doc This file contains tunable elements that affect the UDP datagram driver.
 * The number of UDP endpoints that are supported can be adjusted here.
 *
 * Note that UDP endpoints are used by portions of IPworks like name resolution
 * so try to configure 1 or 2 more endpoints than you think you will need.
 */
/*@{*/
/**
 * @doc An entry in `#dgtab[]#' is required for each UDP endpoint. Adjusting
 * this declaration will adjust the number of endpoint that are configured.
 * The total number of UDP endpoints configured is determined by the size of
 * this array.
 */

struct	dgblk	dgtab[8];

/**
 * @doc The number of UDP endpoints is contained in Ndg. This variable
 * should be treated as Read-Only, and it's declaration in dgram_conf.c should
 * not be changed.
 */

/* Don't modify this declaration of Ndg */
const int Ndg=sizeof(dgtab)/sizeof(struct  dgblk);
/*@}*/
