/*
 * Copyright 2001, Metro Link, Inc.
 * All Rights Reserved
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Metro Link, Inc. and may
 * contain proprietary, confidential and trade secret information of
 * Metro Link, Inc. and/or its partners.
 *  
 * The contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Metro Link, Inc.
 *
 */
#include <conf.h>
#include <kernel.h>
#include <sleep.h>
#include <network.h>
#include <igmp.h>

/** @name igmp_conf.c
 * @memo Configure internet group message protocol resources.
 * @doc This file contains the tunable elements that affect the IGMP driver. The
 * size of the Host Group table cam be adjusted here.
 */
/*@{*/
/**
 * @doc An entry is required in `#hgtable[]#' for each multicast address that
 * will be used by the system.
 */
struct	hg	hgtable[15];

/**
 * @doc The size of the Host Group table is contained in HP_TSIZE. This variable
 * should be treated as Read-Only, and it's declaration in igmp_conf.c should
 * not be changed.
 */

/* Don't modify this declaration of HG_TSIZE */
int	HG_TSIZE=sizeof(hgtable)/sizeof(struct hg);

/*@}*/
