/*
 * Copyright 2001, Metro Link, Inc.
 * All Rights Reserved
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Metro Link, Inc. and may
 * contain proprietary, confidential and trade secret information of
 * Metro Link, Inc. and/or its partners.
 *  
 * The contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Metro Link, Inc.
 *
 */
#include <kernel.h>
#include <network.h>
#include <ppp.h>
#include <modem.h>
#include <stdlib.h>



int
cts_check
(
	struct devsw *					pdev
)
{
   struct uzibase *				puzi;
	unsigned char					msr;
	unsigned char					uart_base;


   puzi = &uzitab[pdev->dvminor];
	if( puzi->uzi_serparam->settings & SERSET_RTSCTS ) 
	{
//		kprintf( "Waiting for CTS\n");

		uart_base = puzi->UARTbase;
		msr=UART_MSR(uart_base);
		while( !(msr & MSR_CTS) )
		{
			sleep10(3);
			msr=UART_MSR(uart_base);
		}
//		kprintf( "CTS active %x\n", msr );
//		sleep10(3);	
		sleep(ppp_connect_delay);	
	}
}


int
modem(struct pppstate *ppp)
{
    int i, nfailed=0;
	struct modemchat *			chat = ppp->pppconf->chat;
	int 								nchat = ppp->pppconf->nchat;

	cts_check(&devtab[ppp->serdev]);
    for(i=0;i<nchat;i++) {
	if( chat[i].send ) {
		if(ppp->pppconf->debug)
			kprintf("modem: sending \"%s\"\n",chat[i].send );
		if(i == 0)
			/* Give modem a chance to initialize */
			sleep(1);
		if( write(ppp->serdev,chat[i].send,strlen(chat[i].send)) == SYSERR )
		{
			return SYSERR;
		}
	}
	if( chat[i].expect ) {
		int	pos=0,len=strlen(chat[i].expect);
		char ch;
		int	getc_result;

		if(ppp->pppconf->debug)
			kprintf("modem: waiting for \"%s\" len %d\n",
						chat[i].expect,len );

		while(pos < len) {
			getc_result = getc(ppp->serdev);
			if(getc_result == SYSERR) {
return SYSERR;
#if 0
				int	numopentries = 5;
				if(ppp->pppconf->debug)
					kprintf("modem: getc returned SYSERR: reopening device\n");
				while(--numopentries && (open(ppp->serdev, 0, 0) == SYSERR)) {
					if(ppp->pppconf->debug)
						kprintf("Can't open serial device %d, retrying\n", ppp->serdev);
					sleep(1);
				}

				if(!numopentries) {
					if(ppp->pppconf->debug)
						kprintf("Could not open serial device %d\n", ppp->serdev);
					return SYSERR;
				}
				/* 
				 * Give the modem a chance to initialize, then restart 
				 * the script 
				 */
				sleep(1);
				i=-1;	/* Start at 0 after i is incremented */
				break;
#endif
			}

			ch = (char)getc_result;
			if(ch == chat[i].expect[pos]) {
				pos++;
				if(ppp->pppconf->debug)
					kprintf("Matched %d %x %c\n",pos,ch,ch);
			} else {
				if(ppp->pppconf->debug && ch != '\r' && ch != '\n')
					kprintf("Skipping %x %c\n", ch, ch);
				if(pos != 0)
					if(nfailed++ >= 10) {
						close(ppp->serdev);
						return SYSERR;
					}

				if(ch == chat[i].expect[0]) {
					pos=1;
					if(ppp->pppconf->debug)
						kprintf("Matched 0 %x %c\n",ch,ch);
				} else {
					pos = 0;
				}
			}
		}
	}
    }

	 kprintf("Modem exits\n" );
    return OK;
}
