/*
 * Copyright 2001, Metro Link, Inc.
 * All Rights Reserved
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Metro Link, Inc. and may
 * contain proprietary, confidential and trade secret information of
 * Metro Link, Inc. and/or its partners.
 *  
 * The contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Metro Link, Inc.
 *
 */
#include <conf.h>
#include <kernel.h>
#include <network.h>
#include <stdlib.h>

/** @name net_conf.c
 * @memo Configure maximum number of network interfaces.
 * @doc This file contains tunable elements that control how many network
 * interfaces may be configured for the system.
 */
/*@{*/
/**
 * @doc An entry is required in `#nif[]#' for each network interface that
 * is configured for the system. In addition to the network interfaces
 * associated with hardware, such as Ethernet and PPP, one entry must
 * exist for a local network interface which is used internally by IPworks.
 *
 * If insufficient entries are provided, then some network interfaces will
 * fail to configure.
 */

struct	netif	nif[3];

/**
 * @doc The number of network interfaces is contained in NIF. This variable
 * should be treated as Read-Only, and it's declaration in net_conf.c should
 * not be changed.
 */

/* Don't modify this declaration of NIF */
int	NIF = sizeof(nif)/sizeof(struct netif);

/*@}*/
