/*
 * Copyright 2001, Metro Link, Inc.
 * All Rights Reserved
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Metro Link, Inc. and may
 * contain proprietary, confidential and trade secret information of
 * Metro Link, Inc. and/or its partners.
 *
 * The contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Metro Link, Inc.
 *
 */
#include <conf.h>
#include <kernel.h>
#include <shell.h>

/**
 * @name shell_conf.c
 * @memo Default Debug Shell Commands
 * @doc These are default settings used by the Debug Shell. This file should
 * be included in a project, and modified as needed.
 */

/*@{*/
/**
 * @doc A default set of all non-network related commands.  These commands are
 * made available by default - there is no need to call shell_add_commands()
 * to make them available.
 */
struct	cmdent	defaultcmds[]  = {
	{ "bpool",	TRUE,		x_bpool,	NULL },
	{ "date",	TRUE,		x_date,		NULL },
	{ "devs",	TRUE,		x_devs,		NULL },
	{ "echo",	TRUE,		x_echo,		NULL },
	{ "exit",	TRUE,		x_exit,		NULL },
	{ "help",	TRUE,		x_help,		NULL },
	{ "kbuf",	TRUE,		x_kbuf,		NULL },
	{ "kill",	TRUE,		x_kill,		NULL },
	{ "mem",	TRUE,		x_mem,		NULL },
	{ "ps",		TRUE,		x_ps,		NULL },
	{ "reboot",	TRUE,		x_reboot,	NULL },
	{ "set",	TRUE,		x_set,		NULL },
	{ "sleep",	TRUE,		x_sleep,	NULL },
	{ "time",	TRUE,		x_date,		NULL },
	{ "?",		TRUE,		x_help,		NULL },
	};	/* shell commands */

/**
 * @doc The number of entries in the defaultcmds[] array.  If the defaultcmds
 * array is modified, ndefaultcmds must be adjusted accordingly.
 */
int ndefaultcmds=sizeof(defaultcmds)/sizeof(struct cmdent);
/*@}*/
