/*
 * Copyright 2001, Metro Link, Inc.
 * All Rights Reserved
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Metro Link, Inc. and may
 * contain proprietary, confidential and trade secret information of
 * Metro Link, Inc. and/or its partners.
 *  
 * The contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Metro Link, Inc.
 *
 */
/* snmp_conf.c */

#include <conf.h>

#ifdef SNMP
#include <snmpstr.h>

/** @name snmp_conf.c
 * @memo SNMP configuration values
 * @doc This file contains SNMP values which can be modified by the user.
 */
/*@{*/

/** @name SysObjectID 
 * @memo SNMP System Object ID
 * @doc The SysObjectId is the OID that is reported for the system.sysObjectID.0
 * MIB-II value.  You should replace the following OID with a unique ID within
 * your company's assigned SNMP enterprise subtree.
 *
 * The enterprise subtree should always be located within the
 * iso.org.dod.internet.private.enterprises tree (1.3.6.1.4.1).  Choose an
 * OID within your enterprise tree which is not being used by any other product
 * from your company.  To register for an enterprise subtree, contact the
 * Internet Assigned Numbers Authority (IANA) at www.iana.org.
 * @type struct oid
 */
/*@{*/
/*@}*/

struct oid SysObjectID = { {0x2b, 0x6, 0x1, 0x4, 0x1, 0x0}, 6};
/*@}*/

#endif
