/*
 * Copyright 2001, Metro Link, Inc.
 * All Rights Reserved
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Metro Link, Inc. and may
 * contain proprietary, confidential and trade secret information of
 * Metro Link, Inc. and/or its partners.
 *  
 * The contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Metro Link, Inc.
 *
 */
#include <conf.h>
#include <kernel.h>
#include <network.h>

/** @name tcp_conf.c
 * @memo Configure transmission control protocol resources.
 * @doc This file contains tunable elements that affect the TCP driver. The
 * number of TCP endpoints that are supported can be adjusted here.
 */
/*@{*/
/**
 * @doc An entry in `#tcbtab[]#' is required for each TCP endpoint. Adjusting
 * this declaration will adjust the number of endpoint that are configured.
 * The total number of TCP endpoints configured is determined by the size of
 * this array.
 */

struct	tcb	tcbtab[8];		/* tcp device control blocks	*/

/**
 * @doc The number of TCP endpoints is contained in Ntcp. This variable
 * should be treated as Read-Only, and it's declaration in tcp_conf.c should
 * not be changed.
 */
 
/* Don't modify this declaration of Ntcp */
const int Ntcp=sizeof(tcbtab)/sizeof(struct  tcb);
/*@}*/
