/*
 * Copyright 2001, Metro Link, Inc.
 * All Rights Reserved
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Metro Link, Inc. and may
 * contain proprietary, confidential and trade secret information of
 * Metro Link, Inc. and/or its partners.
 *  
 * The contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Metro Link, Inc.
 *
 */
#include <conf.h>
#include <kernel.h>
#include <proc.h>
#include <sem.h>
#include <tty.h>

/** @name tty_conf.c
 * @memo Configure TTY driver resources.
 * @doc This file contains tunable elements that affect the TTY driver. The number
 * of TTY devices that are available can be adjusted here.
 */
/*@{*/
/**
 * @doc An entry is required in `#ttytab[]#' for each TTY device that will be
 * used by the system. Portions of IPworks, such as the console shell and
 * telnetd, may use TTY devices, so allow a few extras.
 */

struct  tty     ttytab[4];

/*
 * @doc The number of TTY devices is contained in Ntty. This variable
 * should be treated as Read-Only, and it's declaration in tty_conf.c should
 * not be changed.
 */

/* Don't modify this declaration of Ntty */
int Ntty = sizeof(ttytab)/sizeof(struct tty);

/*@}*/
