	;*** 	Make sure flash in Read Array Mode.
	;		If your platform does not include a Flash, remove this block of code.
	;		Different Flash memories will use different commands to ensure the Flash
	; 		is available for read access.  This command is for the MT28F008B3.
	.extern	.FLASH_BASE
	ld	a, 0FFh
	ld hl, .FLASH_BASE
	ld (hl), a

	
	;***	Setup the stack
	; 		It is not necessrary to setup the Z80 stack if the system is left in     
	;		ADL mode.
	extern	.TOS
	ld.sis	sp, 0FFFFh	; Setup SPS
	ld.lil	sp, .TOS 	; Setup SPL


	;*** 	Initialize the .BSS section to zero
	extern	.BSS_BASE
	extern	.BSS_LENGTH
	ld		bc, .BSS_LENGTH
	ld		hl, 0		
	or 	    a, a
	sbc	    hl, bc
	jr		z, _c_bss_done

	ld		hl, .BSS_BASE	

	ld		(hl), 0				; zero first byte of BSS
	dec		bc					; reduce count
	ld		hl, 0	
	or 	    a, a
	sbc	    hl, bc	
	jr		z, _c_bss_done	
	ld		hl, .BSS_BASE	
	ld		de, .BSS_BASE+1	
	ldir
_c_bss_done:


	; --------------------------------------------------------------------------
	; Re-Initialize Variables
	; --------------------------------------------------------------------------
	;***	Re-Initialize Ram Variables
	extern	__low_data
	extern	__len_data
	extern 	__low_romdata
	;* If the length is 0 we're done
	ld		hl, __len_data
	ld		bc, 0		
	or		a, a		
	sbc		hl, bc		
	jr		z, _copy_data_done	

	ld		de, __low_data
	ld		hl, __low_romdata
	ld		bc, __len_data
	ldir
_copy_data_done:


	;*** 	Call 'C' entry point.
	;		Be sure to set up any parameters required by the called routine.
	; 		For eZ80 assembly, Param1 is in DE, 
	;	   	    				 Param2 is in HL
	;								 Param3 is in BC
	; 		If more than 3 parameters or a variable parameter list is used,
	; 		parameters must be placed on the stack.
	extern	_nulluser

	call _nulluser

_c_data_done:
	jp.lil 	_c_data_done


	; --------------------------------------------------------------------------
	; Entry point to restart the system.
	; --------------------------------------------------------------------------
	.def	_jumptocode
_jumptocode:
	di
	rsmix	
	jp.lil	_ADL_START
	


	;***	Storage for Linker defined variables
	.extern		.FLASH_BASE
	.extern		.TOTAL_FLASH
	.extern 	.RAM_BASE
	.extern 	.RAM_LENGTH
	.extern 	.TOS
	.extern 	.CODE_SIZE
	.extern 	.DATA_SIZE
	.extern		.INT_VT_BASE
	.extern		.INT_JT_BASE
	.def		_flash_ptr
	.def		_flash_length
	.def		_ram_base
	.def		_ram_length
	.def		_TOS
	.def		_code_size
	.def		_data_size
	.def		_p_INT_VT_base
	.def		_p_INT_JT_base

_flash_ptr:
	.trio		.FLASH_BASE
_flash_length:
	.trio		.TOTAL_FLASH
_ram_base:
	.trio		.RAM_BASE
_ram_length:
	.trio		.RAM_LENGTH
_TOS:
	.trio		.TOS
_code_size:
	.trio		.CODE_SIZE
_data_size:
	.trio		.DATA_SIZE
_p_INT_VT_base:
	.trio		.INT_VT_BASE
_p_INT_JT_base:
	.trio		.INT_JT_BASE

