;*******************************************************************************
;* Copyright 2002, ZiLOG, Inc.                                                 *
;* All Rights Reserved                                                         *
;*                                                                             *
;* Module:		Boot_L92.asm                                                    *
;* Desciption:	Code to disable interrupts and/or disable all on-chip           *
;*             peripherals.                                                    *
;* Revision Log:                                                               *
;* Date    Who   What                                                          *
;* ------   ---   ----                                                         *
;* 031802   MCB   Created.                                                     *
;*******************************************************************************


	;***	Configure Chip Selects
	.extern _cs_config
	;***	CS0
	ld		hl, _cs_config
	ld		a, (hl)
	out0 	(CS_LBR0), a
	inc		hl
	ld		a, (hl)
	out0 	(CS_UBR0), a
	inc		hl
	ld		a, (hl)
	out0 	(CS_CTL0), a

	;***	CS1
	inc		hl
	ld		a, (hl)
	out0 	(CS_LBR1), a
	inc		hl
	ld		a, (hl)
	out0 	(CS_UBR1), a
	inc		hl
	ld		a, (hl)
	out0 	(CS_CTL1), a

	;***	CS2
	inc		hl
	ld		a, (hl)
	out0 	(CS_LBR2), a
	inc		hl
	ld		a, (hl)
	out0 	(CS_UBR2), a
	inc		hl
	ld		a, (hl)
	out0 	(CS_CTL2), a

	;***	CS3
	inc		hl
	ld		a, (hl)
	out0 	(CS_LBR3), a
	inc		hl
	ld		a, (hl)
	out0 	(CS_UBR3), a
	inc		hl
	ld		a, (hl)
	out0 	(CS_CTL3), a



;*** Structures not yet implemented in new assembler
	.extern _GPIO_config
	ld		hl, _GPIO_config

	;***	Port A GPIO
	ld		a, (hl)
	out0	(PA_DR), a
	inc		hl
	ld		a, (hl)
	out0	(PA_DDR), a
	inc		hl
	ld		a, (hl)
	out0	(PA_ALT1), a
	inc		hl
	ld		a, (hl)
	out0	(PA_ALT2), a
	inc		hl
	;***	Port B GPIO
	ld		a, (hl)
	out0	(PB_DR), a
	inc		hl
	ld		a, (hl)
	out0	(PB_DDR), a
	inc		hl
	ld		a, (hl)
	out0	(PB_ALT1), a
	inc		hl
	ld		a, (hl)
	out0	(PB_ALT2), a
	inc		hl
	;***	Port C GPIO
	ld		a, (hl)
	out0	(PC_DR), a
	inc		hl
	ld		a, (hl)
	out0	(PC_DDR), a
	inc		hl
	ld		a, (hl)
	out0	(PC_ALT1), a
	inc		hl
	ld		a, (hl)
	out0	(PC_ALT2), a
	inc		hl
	;***	Port D GPIO
	ld		a, (hl)
	out0	(PD_DR), a
	inc		hl
	ld		a, (hl)
	out0	(PD_DDR), a
	inc		hl
	ld		a, (hl)
	out0	(PD_ALT1), a
	inc		hl
	ld		a, (hl)
	out0	(PD_ALT2), a
	inc		hl

	;****	Disable all PRTCs
	ld		a, 00h
	out0	(TMR0_CTL), a
	out0	(TMR1_CTL), a
	out0	(TMR2_CTL), a
	out0	(TMR3_CTL), a
	out0	(TMR4_CTL), a
	out0	(TMR5_CTL), a

	;***	Disable Watchdog timer
	out0	(WDT_CTL), a

	;***	Disable UART interrupts
	out0	(UART0_IIR), a
	out0	(UART1_IIR), a

	;***	Disable Internal SRAM
	out0	(RAM_ADDR_U), a
	out0	(RAM_CTL), a
		
	;***	Disable DMA
	out0	(DMA0_CTL), a
	out0	(DMA1_CTL), a

	;***	Disable I2C interrupts
	out0	(I2C0_CTL), a
	out0	(I2C1_CTL), a

	;***	Disable SPI interrupts
	ld		a, 04
	out0	(SPI0_CTL), a
	out0	(SPI1_CTL), a

	;***	Configure both UZI,s for UART
	ld		a, 01
	out0	(UZI0_CTL), a
	out0	(UZI1_CTL), a

	;***	Enable Internal SRAM for interrupt tables
	;		Comment out this section if interrupt.asm is included
	;		in the project.
	in0		a, (RAM_CTL)
	or		a, 80h
	out0	(RAM_CTL), a

	;***	Connect the reset handlers to the flash loader
	ld		hl, 00E000h
	ld		de, _ADL_START
	ld		b, 8		;Rst8,10,18,20,28,30,38 and NMI; Rst0 handled by Flash Loader
Set_Reset_Handlers_Loop:
	ld		(hl), 05Bh	;JP
	inc		hl
	ld		(hl), 0C3h	;.lil
	inc		hl
	ld		(hl), de
	inc		hl
	inc		hl
	inc		hl
	djnz	Set_Reset_Handlers_Loop


