;*******************************************************************************
;* Copyright 2002, ZiLOG, Inc.                                                 *
;* All Rights Reserved                                                         *
;*                                                                             *
;* Module:		Boot_L92.asm                                                    *
;* Desciption:	Code to disable interrupts and/or disable all on-chip           *
;*             peripherals.                                                    *
;* Revision Log:                                                               *
;* Date    Who   What                                                          *
;* ------   ---   ----                                                         *
;* 031802   MCB   Created.                                                     *
;*******************************************************************************


	;***	Set the Bus Mode for external perihperals
	.extern _cs_bus_mode
	ld		hl, _cs_bus_mode
	ld		a, (hl)
	out0 	(CS_BMC0), a
	inc		hl
	ld		a, (hl)
	out0 	(CS_BMC1), a
	inc		hl
	ld		a, (hl)
	out0 	(CS_BMC2), a
	inc		hl
	ld		a, (hl)
	out0 	(CS_BMC3), a


	;***	Configure Chip Selects
	.extern _cs_config
	;***	CS0
	ld		hl, _cs_config
	ld		a, (hl)
	out0 	(CS_LBR0), a
	inc		hl
	ld		a, (hl)
	out0 	(CS_UBR0), a
	inc		hl
	ld		a, (hl)
	out0 	(CS_CTL0), a

	;***	CS1
	inc		hl
	ld		a, (hl)
	out0 	(CS_LBR1), a
	inc		hl
	ld		a, (hl)
	out0 	(CS_UBR1), a
	inc		hl
	ld		a, (hl)
	out0 	(CS_CTL1), a

	;***	CS2
	inc		hl
	ld		a, (hl)
	out0 	(CS_LBR2), a
	inc		hl
	ld		a, (hl)
	out0 	(CS_UBR2), a
	inc		hl
	ld		a, (hl)
	out0 	(CS_CTL2), a

	;***	CS3
	inc		hl
	ld		a, (hl)
	out0 	(CS_LBR3), a
	inc		hl
	ld		a, (hl)
	out0 	(CS_UBR3), a
	inc		hl
	ld		a, (hl)
	out0 	(CS_CTL3), a

	;****	Disable all PRTCs
	ld		a, 00h
	out0	(TMR_CTL0), a
	out0	(TMR_CTL1), a
	out0	(TMR_CTL2), a
	out0	(TMR_CTL3), a
	out0	(TMR_CTL4), a
	out0	(TMR_CTL5), a


	;***	Disable Watchdog timer
	out0	(WDT_CTL), a



;*** Structures not yet implemented in new assembler
	.extern _GPIO_config
	ld		hl, _GPIO_config

	;***	Port A GPIO
;	ld		a, (hl)
;	out0	(PA_DR), a
;	inc		hl
;	ld		a, (hl)
;	out0	(PA_DDR), a
;	inc		hl
;	ld		a, (hl)
;	out0	(PA_ALT1), a
;	inc		hl
;	ld		a, (hl)
;	out0	(PA_ALT2), a
;	inc		hl
	;***	Port B GPIO
	ld		a, (hl)
	out0	(PB_DR), a
	inc		hl
	ld		a, (hl)
	out0	(PB_DDR), a
	inc		hl
	ld		a, (hl)
	out0	(PB_ALT1), a
	inc		hl
	ld		a, (hl)
	out0	(PB_ALT2), a
	inc		hl
	;***	Port C GPIO
	ld		a, (hl)
	out0	(PC_DR), a
	inc		hl
	ld		a, (hl)
	out0	(PC_DDR), a
	inc		hl
	ld		a, (hl)
	out0	(PC_ALT1), a
	inc		hl
	ld		a, (hl)
	out0	(PC_ALT2), a
	inc		hl
	;***	Port D GPIO
	ld		a, (hl)
	out0	(PD_DR), a
	inc		hl
	ld		a, (hl)
	out0	(PD_DDR), a
	inc		hl
	ld		a, (hl)
	out0	(PD_ALT1), a
	inc		hl
	ld		a, (hl)
	out0	(PD_ALT2), a
	inc		hl

	;***	Disable UART interrupts
	out0( UART_IIR0 ), a
	out0( UART_IIR1 ), a

	;***	Set PRTC0..3 input sources as System Clock / Prescaler.
	ld		a, 00h
	out0	(TMR_ISS),  a

	;***	Disable IR
	out0( IR_CTL ), a

	;***	Disable I2C interrupts
	out0( I2C_CTL ), a

	;***	Apply system clock to all peripherals
	out0( CLK_PPD1 ), a
	out0( CLK_PPD2 ), a

	;***	Disable RTC interrupts
	out0( RTC_CTRL ), a

	;***	Disable SPI interrupts
	ld		a, 04
	out0( SPI_CTL ), a


