/*
 * Copyright 2001, Metro Link, Inc.
 * All Rights Reserved
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Metro Link, Inc. and may
 * contain proprietary, confidential and trade secret information of
 * Metro Link, Inc. and/or its partners.
 *  
 * The contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Metro Link, Inc.
 *
 */
#ifndef _EZ80190_H_
#define _EZ80190_H_



/* GPIO */
#define PA_DR						(*(IORegInt8)0x96)
#define PA_DDR						(*(IORegInt8)0x97)
#define PA_ALT1					(*(IORegInt8)0x98)
#define PA_ALT2					(*(IORegInt8)0x99)

/* RAM Control */
#define RAM_CTL					(*(IORegInt8)0xB4)
#define RAM_ADDR_U				(*(IORegInt8)0xB5)

/* UZI */
#define UZI_CTL0 					(*(IORegInt8)0xCF)
#define UZI_CTL1 					(*(IORegInt8)0xDF)
#define UZI0						0xCF
#define UZI1						0xDF
#define UZI_CTL(base)			(*((IORegExt8)(base+0)))
#define UZI_UART0					UART0
#define UZI_UART1					UART1
#define UZI_SPI0					0xB6	
#define UZI_SPI1					0xBA	
#define UZI_I2C0					I2C0
#define UZI_I2C1					0xD8

/* SPI */
#define SPI_CTL0					(*(IORegInt8)0xB6)
#define SPI_SR0					(*(IORegInt8)0xB7)
#define SPI_RBR0					(*(IORegInt8)0xB8)
#define SPI_TSR0					(*(IORegInt8)0xB8)

#define SPI_CTL1					(*(IORegInt8)0xBA)
#define SPI_SR1					(*(IORegInt8)0xBB)
#define SPI_RBR1					(*(IORegInt8)0xBC)
#define SPI_TSR1					(*(IORegInt8)0xBC)

/* I2C */
#define	I2C_SAR0					(*(IORegInt8)0xC8)
#define	I2C_XSAR0				(*(IORegInt8)0xC9)
#define	I2C_DR0					(*(IORegInt8)0xCA)
#define	I2C_CTL0					(*(IORegInt8)0xCB)
#define	I2C_SR0					(*(IORegInt8)0xCC)
#define	I2C_CCR0					(*(IORegInt8)0xCC)
#define	I2C_SRR0					(*(IORegInt8)0xCD)

#define	I2C_SAR1					(*(IORegInt8)0xD8)
#define	I2C_XSAR1				(*(IORegInt8)0xD9)
#define	I2C_DR1					(*(IORegInt8)0xDA)
#define	I2C_CTL1					(*(IORegInt8)0xDB)
#define	I2C_SR1					(*(IORegInt8)0xDC)
#define	I2C_CCR1					(*(IORegInt8)0xDC)
#define	I2C_SRR1					(*(IORegInt8)0xDD)

/* MACC */
#define	MACC_xSTART				(*(IORegInt8)0xE0)
#define	MACC_xEND				(*(IORegInt8)0xE1)
#define	MACC_xRELOAD			(*(IORegInt8)0xE2)
#define	MACC_LENGTH				(*(IORegInt8)0xE3)
#define	MACC_ySTART				(*(IORegInt8)0xE4)
#define	MACC_yEND				(*(IORegInt8)0xE5)
#define	MACC_yRELOAD			(*(IORegInt8)0xE6)
#define	MACC_CTL   				(*(IORegInt8)0xE7)
#define	MACC_AC0   				(*(IORegInt8)0xE8)
#define	MACC_AC1   				(*(IORegInt8)0xE9)
#define	MACC_AC2   				(*(IORegInt8)0xEA)
#define	MACC_AC3   				(*(IORegInt8)0xEB)
#define	MACC_AC4   				(*(IORegInt8)0xEC)
#define	MACC_STAT  				(*(IORegInt8)0xED)

/* DMA */
#define	DMA_SAR_L0 				(*(IORegInt8)0xEE)
#define	DMA_SAR_H0 				(*(IORegInt8)0xEF)
#define	DMA_SAR_U0 				(*(IORegInt8)0xF0)
#define	DMA_DAR_L0 				(*(IORegInt8)0xF1)
#define	DMA_DAR_H0 				(*(IORegInt8)0xF2)
#define	DMA_DAR_U0 				(*(IORegInt8)0xF3)
#define	DMA_BC_L0				(*(IORegInt8)0xF4)
#define	DMA_BC_H0  				(*(IORegInt8)0xF5)
#define	DMA_CTL0   				(*(IORegInt8)0xF6)

#define	DMA_SAR_L1 				(*(IORegInt8)0xF7)
#define	DMA_SAR_H1 				(*(IORegInt8)0xF8)
#define	DMA_SAR_U1 				(*(IORegInt8)0xF9)
#define	DMA_DAR_L1 				(*(IORegInt8)0xFA)
#define	DMA_DAR_H1 				(*(IORegInt8)0xFB)
#define	DMA_DAR_U1 				(*(IORegInt8)0xFC)
#define	DMA_BC_L1				(*(IORegInt8)0xFD)
#define	DMA_BC_H1  				(*(IORegInt8)0xFE)
#define	DMA_CTL1   				(*(IORegInt8)0xFF)

#define	DMA_SAR_L(base)   	(*((IORegExt8)(base+0)))
#define	DMA_SAR_H(base)		(*((IORegExt8)(base+1)))
#define	DMA_SAR_U(base)		(*((IORegExt8)(base+2)))
#define	DMA_DAR_L(base)		(*((IORegExt8)(base+3)))
#define	DMA_DAR_H(base)		(*((IORegExt8)(base+4)))
#define	DMA_DAR_U(base)		(*((IORegExt8)(base+5)))
#define	DMA_BC_L(base)			(*((IORegExt8)(base+6)))
#define	DMA_BC_H(base)  		(*((IORegExt8)(base+7)))
#define	DMA_CTL(base)   		(*((IORegExt8)(base+8)))


/*
 * Timer Control Register bit definitions
 */
#define TCR_CLK_DIV2				0x00		
#define TCR_CLK_DIV4				0x04
#define TCR_CLK_DIV8				0x08
#define TCR_CLK_DIV16			0x0C



/* Interrupt vector table offsets */
#define IV_MACC					0x00
#define IV_DMA0					0x02
#define IV_DMA1					0x04
#define IV_TMR0					0x06
#define IV_TMR1					0x08
#define IV_TMR2					0x0A
#define IV_TMR3					0x0C
#define IV_TMR4					0x0E
#define IV_TMR5					0x10
#define IV_UZI0					0x12
#define IV_UZI1					0x14
#define IV_PA0						0x16
#define IV_PA1						0x18
#define IV_PA2						0x1A
#define IV_PA3						0x1C
#define IV_PA4						0x1E
#define IV_PA5						0x20
#define IV_PA6						0x22
#define IV_PA7						0x24
#define IV_PB0						0x26
#define IV_PB1						0x28
#define IV_PB2						0x2A
#define IV_PB3						0x2C
#define IV_PB4						0x2E
#define IV_PB5						0x30
#define IV_PB6						0x32
#define IV_PB7						0x34
#define IV_PC0						0x36
#define IV_PC1						0x38
#define IV_PC2						0x3A
#define IV_PC3						0x3C
#define IV_PC4						0x3E
#define IV_PC5						0x40
#define IV_PC6						0x42
#define IV_PC7						0x44
#define IV_PD0						0x46
#define IV_PD1						0x48
#define IV_PD2						0x4A
#define IV_PD3						0x4C
#define IV_PD4						0x4E
#define IV_PD5						0x50
#define IV_PD6						0x52
#define IV_PD7						0x54
#define IV_RSV1					0x56
#define IV_RSV2					0x58
#define IV_RSV3					0x5A
#define IV_RSV4					0x5C
#define IV_RSV5					0x5E



#endif 