#include <kernel.h>



BYTE									xinu_prtc 	      = TMR0;						// Identifies the PRTC used for the System Clock (10ms tick)
BYTE									xinu_prtc_iv      = IV_TMR0;					// Interrupt vector for the system clock
unsigned short int				xinu_quantum      = 10;							// Maximum time slice for a Xinu Thread (in clock ticks)
BYTE									xinu_uses_wdt     = FALSE;						// Set=TRUE if Xinu can use WDT
BYTE									b_use_dhcp        = FALSE;						// Set=TRUE to enable DHCP
unsigned short int				xinu_min_stack    = 3072;						// Minimum stack size for any thread
BYTE 									b_xinu_uses_uart0 = TRUE;						// Set=FALSE if Xinu should not use UART0
BYTE 									b_xinu_uses_uart1 = TRUE;						// Set=FALSE if Xinu should not use UART0
unsigned int						max_tcp_resends	= 5;							// Number of retry attepmts for failed TCP connection
int 									consoledev 			= 0;					// Specified which system device is used for the console
BYTE									ppp_connect_delay = 2;							// Amount of seconds to wait before starting PPP handshake
/*
 * The interrupt vector table size is different on various
 * HW platform.  In general the architecture can support
 * up to 128 vectors.  However, the EZ80L92 only uses 52 
 * (36 active) and the EZ80190 only uses 48 (43 active).
 * This module assumes 64 vectors are defined for the 190
 * platform.
 */
#ifdef _EZ80190
	BYTE									b_uart0_iv             = IV_UZI0;
	BYTE									b_uart1_iv             = IV_UZI1;
	BYTE									b_initial_prtc_divisor = 2;
	unsigned long 						masterclock            = 40000000l;
	#ifdef EVB_190_RT
		IORegExt16						p_emac_base      	  	  = (IORegExt16) 0x320;	// IO Base address for RT8019
		BYTE								xinu_eth_irq           = IV_PA0; 				// Use IV_NULL if no NIC Irq line.
	#endif
	#ifdef EVB_190_CS
		IORegExt16						p_emac_base      	  	  = (IORegExt16) 0x300;	// IO Base address for CS8900A
		BYTE								xinu_eth_irq     	  	  = IV_PD4; 				// Use IV_NULL if no NIC Irq line.
	#endif

#endif

#ifdef _EZ80L92
	BYTE									b_uart0_iv             = IV_UART0;
	BYTE									b_uart1_iv             = IV_UART1;
	BYTE									b_initial_prtc_divisor = 4;
	unsigned long  					masterclock            = 48000000l;
	IORegExt16							p_emac_base       	  = (IORegExt16) 0x300;	// IO Base address for CS8900A
	BYTE									xinu_eth_irq      	  = IV_PD4; 				// Use IV_NULL if no NIC Irq line.
#endif

#ifdef _EZ80F92
	BYTE									b_uart0_iv             = IV_UART0;
	BYTE									b_uart1_iv             = IV_UART1;
	BYTE									b_initial_prtc_divisor = 4;
	unsigned long  					masterclock            = 20000000l;
	IORegExt16							p_emac_base       	  = (IORegExt16) 0x300;	// IO Base address for CS8900A
	BYTE									xinu_eth_irq      	  = IV_PD4; 				// Use IV_NULL if no NIC Irq line.
#endif

