/* IOBASE is the address of the first of the three ether latching buffers. */
#define	IOBASE		0x320

#define	TRUE		1
#define	FALSE		0
#define	NIL		0

/*
 * Register bit definitions
 */
#define	R_NONE		0xE0
#define	R_IOWR		0x60
#define	R_WR_OE		0xA0
#define	R_IORD		0xC0

#define	CMD_STOP	0x01
#define	CMD_RUN	0x02
#define	CMD_XMIT	0x04
#define	CMD_READ	0x08
#define	CMD_WRITE	0x10
#define	CMD_SEND	0x18
#define	CMD_NODMA	0x20
#define	CMD_PAGE0	0
#define	CMD_PAGE1	0x40
#define	CMD_PAGE2	0x80
#define	CMD_PAGE3	0xC0

#define	ISR_PRX		0x01
#define	ISR_PTX		0x02
#define	ISR_RXE		0x04
#define	ISR_TXE		0x08
#define	ISR_OVW		0x10
#define	ISR_CNT		0x20
#define	ISR_RDC		0x40
#define	ISR_RST		0x80

#define	DCR_WTS		0x01
#define	DCR_BOS		0x02
#define	DCR_LAS		0x04
#define	DCR_LS		0x08
#define	DCR_ARM		0x10
#define	DCR_FIFO2	0x00
#define	DCR_FIFO4	0x20
#define	DCR_FIFO8	0x40
#define	DCR_FIFO12	0x60

#define	TCR_CRC		0x01
#define	TCR_LOOP_NONE	0x00
#define	TCR_LOOP_INT	0x02
#define	TCR_LOOP_EXT	0x06
#define	TCR_ATD		0x08
#define	TCR_OFST	0x10

#define	TSR_PTX		0x01
#define	TSR_COL		0x04
#define	TSR_ABT		0x08
#define	TSR_CRS		0x10
#define	TSR_CDH		0x40
#define	TSR_OWC		0x80

#define	RCR_SEP		0x01
#define	RCR_AR		0x02
#define	RCR_AB		0x04
#define	RCR_AM		0x08
#define	RCR_PRO		0x10
#define	RCR_MON		0x20

#define	RSR_PRX		0x01
#define	RSR_CRC		0x02
#define	RSR_FAE		0x04
#define	RSR_MPA		0x10
#define	RSR_PHY		0x20
#define	RSR_DIS		0x40
#define	RSR_DFR		0x80

#define	CR9346_EEDO	0x01
#define	CR9346_EEDI	0x02
#define	CR9346_EESK	0x04
#define	CR9346_EECS	0x08
#define	CR9346_NORMAL	0x00
#define	CR9346_AUTOLOAD	0x40
#define	CR9346_PROG	0x80
#define	CR9346_CONFIG	0xc0

#define	CONFIG_BNC	0x04
#define	CONFIG_JP	0x08

#define	CONFIG_IOS	0x0f
#define	CONFIG_IRQS	0x70
#define	CONFIG_IRQEN	0x80

#define	CONFIG_BS	0x1f
#define	CONFIG_BSELB	0x20
#define	CONFIG_PL	0xc0

#define	CONFIG_ACTIVEB	0x01
#define	CONFIG_PWRDN	0x02
#define	CONFIG_SLEEP	0x04
#define	CONFIG_LEDS	0x30
#define	CONFIG_FUDUP	0x40
#define	CONFIG_PNP	0x80

#define	XMIT_START	0x4000
#define	RECV_START	0x4600
#define	RECV_STOP	0x6000

/*
 * Register offset values
 */
#define	R_CR		0
#define	R_CLAD0		1
#define	R_CLAD1		2
#define	R_BNRY		3
#define	R_TSR		4
#define	R_NCR		5
#define	R_FIFO		6
#define	R_ISR		7
#define	R_CRDA0		8
#define	R_CRDA1		9
#define	R_ID0		10
#define	R_ID1		11
#define	R_RSR		12
#define	R_CNTR0		13
#define	R_CNTR1		14
#define	R_CNTR2		15
#define	R_PSTART	1
#define	R_PSTOP		2
#define	R_TPSR		4
#define	R_TBCR0		5
#define	R_TBCR1		6
#define	R_ISR		7
#define	R_RSAR0		8
#define	R_RSAR1		9
#define	R_RBCR0		10
#define	R_RBCR1		11
#define	R_RCR		12
#define	R_TCR		13
#define	R_DCR		14
#define	R_IMR		15
#define	R_PAR0		1
#define	R_PAR1		2
#define	R_PAR2		3
#define	R_PAR3		4
#define	R_PAR4		5
#define	R_PAR5		6
#define	R_CURR		7
#define	R_MAR0		8
#define	R_MAR1		9
#define	R_MAR2		10
#define	R_MAR3		11
#define	R_MAR4		12
#define	R_MAR5		13
#define	R_MAR6		14
#define	R_MAR7		15
#define	R_CR9346	1
#define	R_BPAGE		2
#define	R_CONFIG0	3
#define	R_CONFIG1	4
#define	R_CONFIG2	5
#define	R_CONFIG3	6
#define	R_TEST		7
#define	R_CSNSAV	8
#define	R_HLTCLK	9
#define	R_INTR		11
#define	R_FMWP		12
#define	R_CONFIG4	13
#define	R_DMA		16
#define	R_RESET		24

/*
 * STatus return values.
 */
#define	TX_WAITING	2
#define	TX_DONE		1

typedef struct ring_header {
	unsigned short int status;
	unsigned short int count;
} Ring_Header;
