/*
 * Copyright 2001, Metro Link, Inc.
 * All Rights Reserved
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Metro Link, Inc. and may
 * contain proprietary, confidential and trade secret information of
 * Metro Link, Inc. and/or its partners.
 *  
 * The contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Metro Link, Inc.
 *
 */
#ifndef _UZI_H_
#define _UZI_H_

#include <serial.h>





/* Universal ZiLOG Interface - serial ports of several flavors */

typedef enum {UZIFREE, UZISPI, UZII2C, UZIUART} uzitype;

typedef enum 
{
	SERIAL_STATE_UNINITIALIZED,
	SERIAL_STATE_CLOSED,
	SERIAL_STATE_OPENED
} SERIAL_STATE_E;



typedef struct 					TX_BUF_S
{
	struct TX_BUF_S *				pNext;
	unsigned int					Len;
} TX_BUF_S;


#define UZIBUFSIZE	1500


struct uzibase 
{
	uzitype							uzi_type;
	SERIAL_STATE_E					state;
	struct serialparam *			uzi_serparam;

	/* Buffer managment */
	unsigned short					uzi_istart;
	unsigned short					uzi_icount;
	int								uzi_isema;

	TX_BUF_S * 						pTxHead;
	TX_BUF_S *						pTxTail;
	unsigned char *				pTxBuf;
	unsigned char					txqsize;
	unsigned short					uzi_ocount;


	/* Interrupt managment */
	unsigned short					isr_entry_count;
	unsigned short					max_isr_entry_count;
	int								uzi_interuptvec;
	void								(*uzi_isr)(void);
	void								(*uzi_intr)(struct uzibase *);
	struct devsw *					uzi_pdev;	/* pointer back to the device table */

	unsigned char					UARTbase;
	unsigned char					uzi_ibuf[UZIBUFSIZE];
};

extern struct uzibase uzitab[];
extern void uzi0isr(void);
extern void uzi1isr(void);


#endif /* _UZI_H_ */
