/*
 * Copyright 2001, Metro Link, Inc.
 * All Rights Reserved
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Metro Link, Inc. and may
 * contain proprietary, confidential and trade secret information of
 * Metro Link, Inc. and/or its partners.
 *  
 * The contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Metro Link, Inc.
 *
 */
/* cmd.h */
#ifndef _CMD_H_
#define _CMD_H_

#include "shell.h"
/* Declarations for all commands known by the shell */

/** @memo The cmdent structure.
 * @doc This structure is used to hold the information for a single command
 * that is available in the debug shell.
 * @name cmdent
 * @type struct 
 */


struct	cmdent	{			/* entry in command table	*/
	/** A pointer to the name of the command.
	 * @type char *
	 */
	char	*cmdnam;
	/** A flag indicating wether the shell should create a new thread
	 * for this command or run it directly (ie builtin). Currently, only
	 * builtin commands are supported, so this should always be set to TRUE.
	 * @type Bool
	 */
	Bool	cbuiltin;		/* Is this a builtin command?	*/
	/** A pointer to the function that implements the command.
	 * @type int
	 */
	int	(*cproc)(
		struct shvars *,
		int stdin, int stdout, int stderr,
		int nargs, char *args );/* procedure that implements cmd*/
	/** A pointer to the next command in the list */
	struct cmdent	*cnext;
};
#endif /* _CMD_H_ */
