#ifndef _CONF_H_
/* conf.h (GENERATED FILE; DO NOT EDIT) */

//#define	NULLPTR	(char *)0

/* Device table declarations */
typedef int	(*DV_INIT_FUNC)(struct devsw *);
typedef int	(*DV_OPEN_FUNC)(struct devsw *,char *,char *);
typedef int	(*DV_CLOSE_FUNC)(struct devsw *);
typedef int	(*DV_READ_FUNC)(struct devsw *,char *,int);
typedef int	(*DV_WRITE_FUNC)(struct devsw *,char *,int);
typedef int	(*DV_SEEK_FUNC)(struct devsw *,int);
typedef int	(*DV_GETC_FUNC)(struct devsw *);
typedef int	(*DV_PUTC_FUNC)(struct devsw *,char);
typedef int	(*DV_CNTL_FUNC)(struct devsw *,int,char *,char *);
typedef int	(*DV_IINT_FUNC)(struct devsw *,unsigned char);
typedef int	(*DV_OINT_FUNC)(struct devsw *);

struct	devsw	{			/* device table entry */
	int	dvnum;
	char	*dvname;
	int	(*dvinit)(struct devsw *);
	int	(*dvopen)(struct devsw *,char *,char *);
	int	(*dvclose)(struct devsw *);
	int	(*dvread)(struct devsw *,char *,int);
	int	(*dvwrite)(struct devsw *,char *,int);
	int	(*dvseek)(struct devsw *,int);
	int	(*dvgetc)(struct devsw *);
	int	(*dvputc)(struct devsw *,char);
	int	(*dvcntl)(struct devsw *,int,char *,char *);
	int	dvcsr;
	int	dvivec;
	int	dvovec;
	int	(*dviint)(struct devsw *,unsigned char);
	int	(*dvoint)(struct devsw *);
	char	*dvioblk;
	int	dvminor;
	};

extern	struct	devsw devtab[];		/* one entry per device */


/* Device name definitions */

#define	NULLDEV     0			/* type null     */
#define	CONSOLE     1			/* type console  */
// MCB L92 #define	UZI0        2			/* type uzi      */
// MCB L92 #define	UZI1        3			/* type uzi      */
#define	SERIAL0     2			/* type serial   */
#define	SERIAL1     3			/* type serial   */
#define	TTY         4			/* type ttym     */
#define	UDP         5			/* type dgm      */
#define	TCP         6			/* type tcpm     */
#define	FREE00      7			/* type free     */
#define	FREE01      8  		/* type free     */
#define	FREE02      9 			/* type free     */
#define	FREE03      10			/* type free     */
#define	FREE04      11			/* type free     */
#define	FREE05      12			/* type free     */
#define	FREE06      13			/* type free     */
#define	FREE07      14			/* type free     */
#define	FREE08      15			/* type free     */
#define	FREE09      16			/* type free     */
#define	FREE0A      17			/* type free     */
#define	FREE0B      18			/* type free     */
#define	FREE0C      19			/* type free     */
#define	FREE0D      20			/* type free     */
#define	FREE0E      21			/* type free     */
#define	FREE0F      22			/* type free     */
#define	FREE10      23			/* type free     */
#define	FREE11      24			/* type free     */
#define	FREE12      25			/* type free     */
#define	FREE13      26			/* type free     */
#define	FREE14      27			/* type free     */
#define	FREE15      28			/* type free     */
#define	FREE16      29			/* type free     */
#define	FREE17      30			/* type free     */
#define	FREE18      31			/* type free     */
#define	FREE19      32			/* type free     */
#define	FREE1A      33			/* type free     */
#define	FREE1B      34			/* type free     */
#define	FREE1C      35			/* type free     */
#define	FREE1D      36			/* type free     */
#define	FREE1E      37			/* type free     */
#define	FREE1F      38			/* type free     */

/* Control block sizes */

#define	Nnull	1
#define	Nconsole	1
#define	Nuzi	2
#define	Nserial	2
#define	Nttym	1
#define	Ndgm	1
#define	Ntcpm	1
#define	Nfree	32

// MCB L92 #define	NDEVS	41
#define	NDEVS	39



/* Configuration and Size Constants */

#define	LITTLE_ENDIAN	0x1234
#define	BIG_ENDIAN	0x4321

#define BYTE_ORDER      LITTLE_ENDIAN
#define INT_NOT_LONG

#define	CONTACT     "ipworks@metrolink.com"	/* administrative contact */
#define	LOCATION    "Inside an ez80 near you"	/* Host's physical location */

#define	MEMMARK				/* define if memory marking used*/
#define	RTCLOCK				/* now have RTC support		*/
#define	STKCHK				/* resched checks stack overflow*/
#define	NETDAEMON			/* Ethernet network daemon runs	*/
#define	SNMP				/* Enable SNMP	*/
#if 0
#define NETMON			/* define for network monitor	*/
#define OSPF				/* define if using OSPF		*/
#define RIP				/* define if using RIP		*/
#endif
#define MULTICAST			/* define if using multicasting	*/

#ifdef	OSPF
#define	MULTICAST			/* OSPF uses multicasting	*/
#endif	/* OSPF */

#define TSERVERPORT    37
#define RSERVERPORT  2001
#define NSERVERPORT    53

#define	BPMAXB	4096			/* max buffer size for mkpool	*/
#define BPMAXN	128			/* max # buffers in a buf pool	*/

#define	TCPSBS	8192			/* TCP send buffer sizes	*/
// MCB L92 #define	TCPRBS	8192			/* TCP receive buffer sizes	*/
#if ((TCPSBS-1)&(TCPSBS))!=0
   #define TCPSBS_MOD
#else
	#undef TCPSBS_MOD
#endif
#define	TCPRBS	8192			/* TCP receive buffer sizes	*/


#define	TIMERGRAN	1		/* timer granularity, secs/10	*/

#define	NAREA		1		/* max number of OSPF Areas	*/
#define _CONF_H_
#endif /* _CONF_H_ */
