/*
 * Copyright 2001, Metro Link, Inc.
 * All Rights Reserved
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Metro Link, Inc. and may
 * contain proprietary, confidential and trade secret information of
 * Metro Link, Inc. and/or its partners.
 *  
 * The contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Metro Link, Inc.
 *
 */

#include <network.h>
#include <domain.h>
#include <igmp.h>
#ifdef OSPF
#include <ospf.h>
#endif

struct debug_type {
	char  *option;
	int   level;
	};

#define DEBUG_OPTIONS	"tftp",	0,	\
			"bootp", 0,	\
			"timeout", 1,	\
			"mcast", 0, \
			"netmon", 0	\

extern struct debug_type debug_opt[];
extern int debug_level(char *option);

/* arpdump.c */
void arpdump(struct arp *parp, int order);
/* dnsdump.c */
void dndump(struct dn_mesg *pdn, int dlen, int order);
/* hexdump.c */
void hexdump(unsigned char *buf, int dlen);
/* icmpdump.c */
void icmpdump(struct icmp *pic, int dlen, int order);
/* igmpdump.c */
void igmpdump(struct igmp *pig, int dlen);
/* ipdump.c */
void ipdump(struct ip *pip, int order);
#ifdef OSPF
/* ospfdump.c */
void ospfdump(struct ospf *po, int dlen, int order);
#endif
/* pdump.c */
void pdump(struct ep *pep);
/* tcpdump.c */
void tcpdump(struct tcp *ptcp, int dlen, int order);
/* udpdump.c */
void udpdump(struct udp *pudp, int dlen, int order);
