/*
 * Copyright 2001, Metro Link, Inc.
 * All Rights Reserved
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Metro Link, Inc. and may
 * contain proprietary, confidential and trade secret information of
 * Metro Link, Inc. and/or its partners.
 *  
 * The contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Metro Link, Inc.
 *
 */
#ifndef _HDLC_H_
#define _HDLC_H_

#include <ether.h>

/* HDCL special values */

#define HDLC_FLAG	0x7e
#define HDLC_ADDR	0xff
#define HDLC_CONTROL	0x03 /* Unnumbered Information */
#define HDLC_ESCAPE	0x7d
#define HDLC_INIT_FCS	0xffff
#define HDLC_GOOD_FCS	0xf0b8

/* Driver States */
typedef enum {HDLC_IDLE=1, HDLC_HEADER=2, HDLC_HEADER_CNTL=3,
		HDLC_HEADER_PROT1=4, HDLC_HEADER_PROT2=5,
		HDLC_BODY=10, HDLC_FCS1=11, HDLC_FCS2=12 } hdlc_state;

/* control cmds */
#define HDLC_ADD_FLAG	0x0001
#define HDLC_DEL_FLAG	0x0002
#define HDLC_SET_MRU	0x0003
#define HDLC_SET_NIF	0x0004

/* flags */
#define HDLC_ESCAPED	0x0001
#define HDLC_PFC	0x0002
#define HDLC_ACFC	0x0004

struct hdlc {
	hdlc_state	state;
	unsigned short	flags;
	unsigned short	fcsin;
	struct devsw    *phw;
	unsigned char	asyncmapin[4];
	unsigned char	asyncmapout[32];
	struct ep	*frame;
	int		inq;
	int		rsem;
	int		wsem;
	int		rpid;
// MCB L92	int		mru;
	unsigned int		mru;
	struct netif	*nif;
	};

/* ../net/hdlc.c */
extern int hdlcinit(struct devsw *pdev);
extern int hdlcopen(struct devsw *pdev, int dvnum, int flags);
extern int hdlcclose(struct devsw *pdev);
extern int hdlccontrol(struct devsw *pdev, int cmd, int val, int val2);
extern int hdlcread(struct devsw *pdev, struct ep **ppep, int len);
extern int hdlcwrite(struct devsw *pdev, struct ep *pep, int len);
extern int hdlciin(struct devsw *pdev, unsigned char ch);
#endif /* _HDLC_H_ */
