/*
 * Copyright 2001, Metro Link, Inc.
 * All Rights Reserved
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Metro Link, Inc. and may
 * contain proprietary, confidential and trade secret information of
 * Metro Link, Inc. and/or its partners.
 *  
 * The contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Metro Link, Inc.
 *
 */
/* mem.h - freestk, roundew, truncew , roundmb, truncmb */
#ifndef _MEM_H_
#define _MEM_H_

/*----------------------------------------------------------------------
 * roundew, truncew - round or trunctate address to next even word
 *----------------------------------------------------------------------
 */
#define	roundew(x)	(WORD *)( (3 + (WORD)(x)) & ~03 )
#define	truncew(x)	(WORD *)( ((WORD)(x)) & ~03 )


/*----------------------------------------------------------------------
 * roundmb, truncmb -- round or truncate address up to size of mblock
 *----------------------------------------------------------------------
 */
#define	roundmb(x)	(WORD *)( (7 + (WORD)(x)) & ~07 )
#define	truncmb(x)	(WORD *)( ((WORD)(x)) & ~07 )


/*----------------------------------------------------------------------
 *  freestk  --  free stack memory allocated by getstk
 *----------------------------------------------------------------------
 */
#define freestk(p,len)	freemem((struct mblock *)((unsigned)(p)	\
				- (unsigned)(roundmb(len))	\
				+ (unsigned)sizeof(int)),	\
				(WORD)roundmb(len) )

struct	mblock	{
	struct	mblock	*mnext;
	unsigned int	mlen;
	};
extern	struct	mblock	memlist;	/* head of free memory list	*/
extern	char	*minaddr;		/* min memory address		*/
extern	char	*maxaddr;		/* max memory address		*/
// MCB L92 extern	WORD	_end;			/* address beyond loaded memory	*/
// MCB L92 extern	char	*end;			/* &_end + FILLSIZE		*/
// MCB L92 extern	char	*etext;
// MCB L92 extern	char	*edata;



#endif /* _MEM_H_ */
