/*
 * Copyright 2001, Metro Link, Inc.
 * All Rights Reserved
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Metro Link, Inc. and may
 * contain proprietary, confidential and trade secret information of
 * Metro Link, Inc. and/or its partners.
 *  
 * The contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Metro Link, Inc.
 *
 */
#ifndef _MODEMCHAT_H_
#define _MODEMCHAT_H_
/** @memo The modemchat structure.
 * @doc This structure is used to hold the conversation that is used to
 * establish a datalink over the serial connection. Typically, this will be
 * command to configure and establish a connection with a modem.
 * @name modemchat
 * @type struct modemchat
 */
struct modemchat {
	/** A pointer to a string that will be send to the device. NULL if
	 * no string should be sent.
	 * @type char *
	 */
	char *send;
	/** A pointer to a string that is expected from the device. NULL if
	 * no response is expected.
	 * @type char *
	 */
	char *expect;
};
#endif
