/*
 * Copyright 2001, Metro Link, Inc.
 * All Rights Reserved
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Metro Link, Inc. and may
 * contain proprietary, confidential and trade secret information of
 * Metro Link, Inc. and/or its partners.
 *  
 * The contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Metro Link, Inc.
 *
 */
#ifndef _NET_H_
#define _NET_H_
/* net.h */

/* High-level network definitions and constants */

#ifndef NETBUFS
#define	NETBUFS		32		/* number of network buffers	*/
#endif
#define	MAXNETBUF	EP_MAXLEN	/* max network buffer length	*/
#ifndef LRGBUFS
#define	LRGBUFS		8		/* number of large net buffers	*/
#endif
#define	MAXLRGBUF	(BPMAXB-EP_HLEN)/* size of large net bufs	*/
#define	NETFQ		3		/* size of input-to-output queue*/

/* Network input and output processes: procedure name and parameters */

#define	NETSTK		1000		/* stack size for network setup	*/
#define	STSTK		4096		/* stack size for network timer	*/
#define	NETPRI		100		/* network startup priority	*/
#define	NETIPRI		110		/* min network input priority	*/
#define	STPRI		100		/* network timer priority	*/
#define	NETNAM		"netstart"	/* name of network setup process*/
#define	STNAM		"slowtimer"	/* name of network timer   "	*/
#define	NETARGC		1		/* count of args to net startup	*/
#define	STARGC		0		/* count of args to net timer	*/

struct	netinfo	{			/* info and parms. for network	*/
	int	netpool;		/* network packet buffer pool	*/
	int	lrgpool;		/* large packet buffer pool	*/
	int	nif;			/* # of configured interfaces	*/
	int	sema;			/* semaphore for global net	*/
};

extern	struct	netinfo	Net;		/* All network parameters	*/


#endif /* _NET_H_ */
