/*
 * Copyright 2001, Metro Link, Inc.
 * All Rights Reserved
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Metro Link, Inc. and may
 * contain proprietary, confidential and trade secret information of
 * Metro Link, Inc. and/or its partners.
 *  
 * The contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Metro Link, Inc.
 *
 */
#ifndef _SERIAL_H_
#define _SERIAL_H_

/* This file contains the structures that hold serial port parameters. */

typedef enum { PAREVEN, PARODD, PARNONE } serparity;

struct serialparam {
	unsigned int	baud;
	unsigned int	databits;
	unsigned int	stopbits;
	serparity parity;
	unsigned int	settings;
};

/* Serial Port Settings */
/* Flow control bits */
#define SERSET_DTR_ON	0x8	/* Assert DTR on open, reset it on close */
#define SERSET_RTSCTS	0x4	/* Use RTS/CTS HW flow control */
#define SERSET_DTRDSR	0x2	/* Use DTR/DSR HW flow control */
#define SERSET_XONXOFF	0x1	/* Use XON/XOFF SW flow control */

/* Misc. settings */
#define SERSET_ONLCR	0x10	/* Map NL to CR-NL on output */
#define SERSET_SYNC	0x20	/* Use Synchronous routines instead of interrupts */
#define SERSET_IGNHUP	0x40	/* Ignore Hangup (CD drop) */

extern struct serialparam serparams[];

#define UART_FIFODEPTH	16

#endif /* _SERIAL_H_ */
