#ifndef _STDLIB_H_
#define _STDLIB_H_
/*
 * Copyright 2001, Metro Link, Inc.
 * All Rights Reserved
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Metro Link, Inc. and may
 * contain proprietary, confidential and trade secret information of
 * Metro Link, Inc. and/or its partners.
 *  
 * The contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Metro Link, Inc.
 *
 */

#define strchr(s,c) index(s,c)
#define memmove(d,s,n) (blkcopy(d, s, n),d)
#define memcpy(d,s,n) (blkcopy(d, s, n),d)

#ifdef xinu
#define RAND_MAX 0xffffffU
#endif

#ifndef NULL
#define NULL 0
#endif

/* abs.c */
int abs(int arg);
/* ascdate.c */
int ascdate(long time, char *str);
/* atof.c */
double atof(register char *p);
/* atoi.c */
int atoi(register char *p);
/* atol.c */
long atol(register char *p);
/* bzero.c */
void bzero(register char *pch, int len);
/* ctype_.c */
/* doprnt.c */
void _doprnt(char *fmt, int *args, int (*func)(int ,char), int farg);
/* doscan.c */
//int _doscan(register char *fmt, register int **argp, int (*getch)(int, int*), int (*ungetch)(int, int *), int arg1, int *arg2);
int _doscan(char *fmt, int **argp, int (*getch)(int, void *), int (*ungetch)(int, void *), int arg1, int *arg2);
int _innum(int **ptr, int type, int len, int size, int (*getch)(int,int*), int (*ungetch)(int,int*), int arg1, int *arg2, int *eofptr);
int _instr(register char *ptr, int type, int len, int (*getch)(int,int*), int (*ungetch)(int,int*), int arg1, int *arg2, int *eofptr);
char *_getccl(register char *s);
/* ecvt.c */
char *ecvt(double arg, int ndigits, int *decpt, int *sign);
char *fcvt(double arg, int ndigits, int *decpt, int *sign);
/* fgets.c */
char *fgets(int dev, char *s, int n);
/* fprintf.c */
#ifndef NO_FPRINTF_DECL
int fprintf(int dev, char *fmt, ...);
#endif
/* fputs.c */
int fputs(register int dev, register char *s);
/* gets.c */
char *gets(char *s);
/* index.c */
char *index(register char *sp, char c);
/* memset.c */
void memset(char *buf, char val, int len);
/* printf.c */
#ifndef NO_PRINTF_DECL
int printf(char *fmt, ...);
#endif
/* puts.c */
int puts(register char *s);
/* qsort.c */
void qsort(char *a, unsigned n, int es, int (*fc)(char *,char *));
/* rand.c */
void srand(unsigned x);
int rand(void);
/* rindex.c */
char *rindex(register char *sp, int c);
/* scanf.c */
#ifndef NO_SCANF_DECL
int scanf(char *fmt, ...);
int fscanf(int dev, char *fmt, ...);
int sscanf(char *str, char *fmt, ...);
#endif
/* sprintf.c */
#ifndef NO_SPRINTF_DECL
int sprintf(char *str, char *fmt, ...);
#endif
/* strcat.c */
char *strcat(register char *s1, register char *s2);
/* strcmp.c */
int strcmp(register char *s1, register char *s2);
/* strcpy.c */
char *strcpy(register char *s1, register char *s2);
/* strlen.c */
int strlen(register char *s);
/* strncat.c */
char *strncat(register char *s1, register char *s2, int n);
/* strncmp.c */
int strncmp(register char *s1, register char *s2, int n);
/* strncpy.c */
char *strncpy(register char *s1, register char *s2, int n);
/* swab.c */
void swab(register short *pf, register short *pt, int n);
/* strdup.c */
extern char *strdup(register char *s1);
/* strcasecmp.c */
int strcasecmp(register char *s1, register char *s2);
#endif
