/*
 * Copyright 2001, Metro Link, Inc.
 * All Rights Reserved
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Metro Link, Inc. and may
 * contain proprietary, confidential and trade secret information of
 * Metro Link, Inc. and/or its partners.
 *  
 * The contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Metro Link, Inc.
 *
 */
/* tcptimer.h */

/* A timer delta list entry */

struct	tqent {
	int	tq_timeleft;		/* time to expire (1/100 secs)	*/
	long	tq_time;		/* time this entry was queued	*/
	int	tq_port;		/* port to send the event	*/
	int	tq_portlen;		/* length of "tq_port"		*/
	int	tq_msg;			/* data to send when expired	*/
	struct	tqent	*tq_next;	/* next in the list		*/
};
/* timer process declarations and definitions */

#define	TMSTK		512		/* stack size for fast timer	*/
#define	TMPRI		100		/* timer process priority	*/
#define	TMNAM		"tcptimer"	/* name of fast timer process	*/
#define	TMARGC		0		/* count of args to TCP timer 	*/

extern	long	ctr100;			/* 1/100th of a second clock	*/

extern	int	tqmutex;
extern	int	tqpid;
extern	struct	tqent	*tqhead;
